﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="AccessCategoriesTable.aspx.vb" Inherits="AccessCategoriesTable" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>AccessCategoriesTable</title>
</head>
<body>
    <form id="form1" runat="server">
    
      <asp:GridView ID="GridView1" runat="server" 
        AutoGenerateColumns="False" 
        DataKeyNames="CategoryID"
        DataSourceID="AccessDataSource1" 
        EmptyDataText="表示するデータ レコードがありません。">
        <Columns>
          <asp:BoundField DataField="CategoryID" HeaderText="CategoryID" ReadOnly="True" SortExpression="CategoryID" />
          <asp:BoundField DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName" />
          <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
          <asp:BoundField DataField="CategoryColor" HeaderText="CategoryColor" SortExpression="CategoryColor" />
        </Columns>
      </asp:GridView>
      <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
        DataFile="App_Data\Nwind.mdb"
        DeleteCommand="DELETE FROM `Categories` WHERE `CategoryID` = ?" 
        InsertCommand="INSERT INTO `Categories` (`CategoryID`, `CategoryName`, `Description`, `CategoryColor`) VALUES (?, ?, ?, ?)"
        SelectCommand="SELECT `CategoryID`, `CategoryName`, `Description`, `CategoryColor` FROM `Categories`"
        UpdateCommand="UPDATE `Categories` SET `CategoryName` = ?, `Description` = ?, `CategoryColor` = ? WHERE `CategoryID` = ?">
        <InsertParameters>
          <asp:Parameter Name="CategoryID" Type="Int32" />
          <asp:Parameter Name="CategoryName" Type="String" />
          <asp:Parameter Name="Description" Type="String" />
          <asp:Parameter Name="CategoryColor" Type="String" />
        </InsertParameters>
        <DeleteParameters>
          <asp:Parameter Name="CategoryID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
          <asp:Parameter Name="CategoryName" Type="String" />
          <asp:Parameter Name="Description" Type="String" />
          <asp:Parameter Name="CategoryColor" Type="String" />
          <asp:Parameter Name="CategoryID" Type="Int32" />
        </UpdateParameters>
      </asp:AccessDataSource>

    </form>
</body>
</html>
