﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="SQLServerCategoriesTable.aspx.vb" Inherits="CategoriesTable" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>SQLServerCategoriesTable</title>
</head>
<body>
    <form id="form1" runat="server">
      <asp:GridView ID="GridView1" runat="server" 
        AutoGenerateColumns="False" 
        DataKeyNames="CategoryID"
        DataSourceID="SqlDataSource1" 
        EmptyDataText="表示するデータ レコードがありません。">
        <Columns>
          <asp:BoundField DataField="CategoryID" HeaderText="CategoryID" ReadOnly="True" SortExpression="CategoryID" />
          <asp:BoundField DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName" />
          <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" />
          <asp:BoundField DataField="CategoryColor" HeaderText="CategoryColor" SortExpression="CategoryColor" />
        </Columns>
      </asp:GridView>
      
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString1 %>"
        DeleteCommand="DELETE FROM [Categories] WHERE [CategoryID] = @CategoryID" 
        InsertCommand="INSERT INTO [Categories] ([CategoryName], [Description], [CategoryColor]) VALUES (@CategoryName, @Description, @CategoryColor)"
        ProviderName="<%$ ConnectionStrings:NwindSQLConnectionString1.ProviderName %>"
        SelectCommand="SELECT [CategoryID], [CategoryName], [Description], [CategoryColor] FROM [Categories]"
        UpdateCommand="UPDATE [Categories] SET [CategoryName] = @CategoryName, [Description] = @Description, [CategoryColor] = @CategoryColor WHERE [CategoryID] = @CategoryID">
        <InsertParameters>
          <asp:Parameter Name="CategoryName" Type="String" />
          <asp:Parameter Name="Description" Type="String" />
          <asp:Parameter Name="CategoryColor" Type="String" />
        </InsertParameters>
        <UpdateParameters>
          <asp:Parameter Name="CategoryName" Type="String" />
          <asp:Parameter Name="Description" Type="String" />
          <asp:Parameter Name="CategoryColor" Type="String" />
          <asp:Parameter Name="CategoryID" Type="Int32" />
        </UpdateParameters>
        <DeleteParameters>
          <asp:Parameter Name="CategoryID" Type="Int32" />
        </DeleteParameters>
      </asp:SqlDataSource>

    </form>
</body>
</html>
