﻿
Partial Class SearchBookByISBN
    Inherits System.Web.UI.Page

    Private Const SubscriptionId As String = "082Y49Q2WZZTJHHBN782" ' <-- 要書き換え

    Protected Sub btnFindBook_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnFindBook.Click
        Dim strISBN As String = txtISBN.Text
        FindBook(strISBN)
    End Sub

    Protected Sub FindBook(ByVal isbn As String)
        Dim service As New AWSECommerceService
        Dim itemLookupRequest As New ItemLookupRequest
        With itemLookupRequest
            .ItemId = New String() {isbn}
            .ResponseGroup = New String() {"Small", "Medium", "Large", "Images", "ItemAttributes", "OfferFull", "SalesRank", "Reviews"}
        End With

        Dim itemLookup As New ItemLookup
        With itemLookup
            .SubscriptionId = SubscriptionId
            .Request = New ItemLookupRequest() {itemLookupRequest}
        End With

        Dim amazonResponse As ItemLookupResponse = Nothing
        Try
            service.Timeout = 5000
            amazonResponse = service.ItemLookup(itemLookup)
            With amazonResponse.Items(0)
                Dim item As Item = .Item(0)
                lblResult.Text = String.Format("{0}<br />{1}<br />{2}", _
                    item.ASIN, _
                    item.ItemAttributes.Title, _
                    item.ItemAttributes.Author(0))
            End With
        Catch
        End Try
    End Sub
End Class
