﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="CatalogZone01.aspx.vb" Inherits="ch2_2_SecureFolder_CatalogZone01" %>

<%@ Register Src="../WebParts/Weather.ascx" TagName="Weather" TagPrefix="uc5" %>
<%@ Register Src="../WebParts/Google.ascx" TagName="Google" TagPrefix="uc6" %>
<%@ Register Src="../WebParts/Yahoo.ascx" TagName="Yahoo" TagPrefix="uc7" %>

<%@ Register Src="../WebParts/WeatherSapporo.ascx" TagName="WeatherSapporo" TagPrefix="uc1" %>
<%@ Register Src="../WebParts/WeatherTokyo.ascx" TagName="WeatherTokyo" TagPrefix="uc2" %>
<%@ Register Src="../WebParts/WeatherOsaka.ascx" TagName="WeatherOsaka" TagPrefix="uc3" %>
<%@ Register Src="../WebParts/WeatherFukuoka.ascx" TagName="WeatherFukuoka" TagPrefix="uc4" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>CatalogZone01</title>
</head>
<body>
    <form id="form1" runat="server">
      <asp:WebPartManager ID="WebPartManager1" runat="server" />      
      <table>
        <tr>
          <td valign=top>
            <asp:WebPartZone ID="WebPartZone1" runat="server" />                
          </td>
          <td valign=top>
            <asp:WebPartZone ID="WebPartZone2" runat="server" />                          
          </td>
          <td valign=top>
            <asp:WebPartZone ID="WebPartZone3" runat="server" />             
          </td>                    
        </tr>
      </table>     

      <asp:CatalogZone ID="CatalogZone1" runat="server">
        <ZoneTemplate>
          <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" runat="server">
            <WebPartsTemplate>
              <uc1:WeatherSapporo title="天気予報（札幌）" ID="WeatherSapporo1" runat="server" />
              <uc2:WeatherTokyo title="天気予報（東京）" ID="WeatherTokyo1" runat="server" />
              <uc3:WeatherOsaka title="天気予報（大阪）" ID="WeatherOsaka1" runat="server" />
              <uc4:WeatherFukuoka title="天気予報（福岡）" ID="WeatherFukuoka1" runat="server" />
              <uc5:Weather title="天気予報（全国）" ID="Weather1" runat="server" />
              <uc6:Google title="グーグル検索" ID="Google1" runat="server" />
              <uc7:Yahoo title="ヤフー検索" ID="Yahoo1" runat="server" />
              <asp:Calendar title="カレンダー" ID="Calendar1" runat="server" />
            </WebPartsTemplate>
          </asp:DeclarativeCatalogPart>
          <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
        </ZoneTemplate>
      </asp:CatalogZone>
      <br />
      <asp:RadioButtonList ID="RadioButtonList1" runat="server" 
        AutoPostBack="True">
        <asp:ListItem Value="0">ブラウザモード</asp:ListItem>
        <asp:ListItem Value="1">デザインモード</asp:ListItem>
        <asp:ListItem Value="2">カタログモード</asp:ListItem>
      </asp:RadioButtonList>      
    </form>
</body>
</html>
