<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
<xsl:template match="*">
  <table border="0" width="450" align="center">
    <tr><td valign="top" align="center" class="title" bgcolor="B4D0DC" >
      <a>
        <xsl:attribute name="href">
          <xsl:value-of select="*[local-name()='channel']/*[local-name()='link']"/>
        </xsl:attribute>
        <xsl:attribute name="target">
          <xsl:text>top</xsl:text>
        </xsl:attribute>
        <xsl:value-of select="*[local-name()='channel']/*[local-name()='title']"/>
        - rss aggregator
      </a>
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <xsl:value-of select="*[local-name()='channel']/*[local-name()='lastBuildDate']"/>
    </td></tr>
    <tr><td valign="top" bgcolor="ghostwhite" class="headlines" >
      <ul type="square">
        <xsl:for-each select="//*[local-name()='item']">
          <li>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="*[local-name()='link']"/>
              </xsl:attribute>
              <xsl:attribute name="target">
                <xsl:text>top</xsl:text>
              </xsl:attribute>
              <xsl:value-of select="*[local-name()='title']"/>
            </a>
            <xsl:value-of select="*[local-name()='description']" disable-output-escaping="yes"/>
          </li>
        </xsl:for-each>
      </ul>
    </td></tr>
  </table>
</xsl:template>
<xsl:template match="/">
<xsl:apply-templates/>
</xsl:template>
</xsl:stylesheet>


