﻿
Partial Class Members_CheckOut
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not String.IsNullOrEmpty(Profile.ShipToAddress.Name) Then
            txtPostalCode.Text = Profile.ShipToAddress.PostalCode
            txtProvince.Text = Profile.ShipToAddress.Province
            txtCity.Text = Profile.ShipToAddress.City
            txtStreet.Text = Profile.ShipToAddress.Street
            txtName.Text = Profile.ShipToAddress.Name
            txtPhone.Text = Profile.ShipToAddress.Phone
        End If
        If Not IsPostBack Then
            SetFocus(txtPostalCode)
        End If
    End Sub

    Protected Sub btnSend_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSend.Click
        Profile.ShipToAddress.PostalCode = txtPostalCode.Text
        Profile.ShipToAddress.Province = txtProvince.Text
        Profile.ShipToAddress.City = txtCity.Text
        Profile.ShipToAddress.Street = txtStreet.Text
        Profile.ShipToAddress.Name = txtName.Text
        Profile.ShipToAddress.Phone = txtPhone.Text

        Session.Remove("ShoppingCart")

        lblMessage.Text = "ご注文ありがとうございました。"
    End Sub

End Class
