Imports System.Data
Imports Microsoft.VisualBasic

Public Class MyShoppingCart
    Public Shared Function CreateCart(ByVal seed As Integer) As DataTable
        Dim dt As New DataTable()
        Dim dc As DataColumn

        With dt.Columns
            dc = New DataColumn("AutoID", GetType(System.Int32))
            dc.AutoIncrement = True
            dc.AutoIncrementSeed = seed ' 1, 11, 21
            dc.AutoIncrementStep = 1
            .Add(dc)
            .Add(New DataColumn("ISBN", GetType(System.String)))
            .Add(New DataColumn("Title", GetType(System.String)))
            .Add(New DataColumn("Author", GetType(System.String)))
            .Add(New DataColumn("Quantity", GetType(System.Int32)))
            .Add(New DataColumn("Price", GetType(System.Decimal)))
            .Add(New DataColumn("Amount", GetType(System.Decimal)))
        End With
        dt.PrimaryKey = New DataColumn() {dt.Columns("ISBN")}
        Return dt
    End Function
End Class
