﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" title="ホームページ" %>

<%@ Register Src="Google.ascx" TagName="Google" TagPrefix="uc2" %>
<%@ Register Src="Yahoo.ascx" TagName="Yahoo" TagPrefix="uc3" %>

<%@ Register Src="Weather.ascx" TagName="Weather" TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderBody" Runat="Server">
  <!--
  <h1>ホーム</h1>
  -->
  <table width=100%>
    <tr>
      <td align=left>
        <h1>ホーム</h1>      
      </td>
      <td align=right>
        <asp:LinkButton ID="LinkButton1" runat="server"         
          OnCommand="Theme_Command"
          CommandArgument="Classic">Classic</asp:LinkButton>
        <asp:LinkButton ID="LinkButton2" runat="server"
          OnCommand="Theme_Command"         
          CommandArgument="Professional">Professional</asp:LinkButton>         
      </td>
    </tr>
  </table>
  
  <asp:Label ID="lblMessage" runat="server" EnableViewState="false" />
  <asp:Panel ID="Panel1" runat="server" Width=80%>
    <asp:Label ID="lblWelcomeMessage" runat="server"        
      Text="ようこそジャングルブックへ！<br />はじめてお客さまは「お名前」を入力して保存してください。">
    </asp:Label>
    <table>
      <tr>
        <td>
          <asp:Label ID="lblName" runat="server" Text="名前"></asp:Label>
        </td>
        <td>
          <asp:TextBox ID="txtWelcomeName" runat="server"></asp:TextBox>
          <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ControlToValidate="txtWelcomeName" Display="Dynamic" SetFocusOnError="True" ValidationGroup="WelcomeGroup"></asp:RequiredFieldValidator>
        </td>
      </tr>     
      <tr>
        <td></td>
        <td>
          <asp:Button ID="btnSave" runat="server" Text="保存" ValidationGroup="WelcomeGroup" />
        </td>
      </tr>            
    </table>
  </asp:Panel>
  
  <br /><br />
  <asp:WebPartManager ID="WebPartManager1" runat="server">
  </asp:WebPartManager>
  <table>
    <tr>
      <td valign=top>
        <asp:WebPartZone ID="WebPartZone1" runat="server">
          <ZoneTemplate>
            <uc1:Weather ID="Weather1" runat="server" title="天気予報" />
          </ZoneTemplate>
        </asp:WebPartZone>
      </td>
      <td valign=top>
        <asp:WebPartZone ID="WebPartZone2" runat="server">
          <ZoneTemplate>
            <uc2:Google ID="Google1" runat="server" title="グーグル検索"/>
            <uc3:Yahoo ID="Yahoo1" runat="server" title="ヤフー検索" />
          </ZoneTemplate>
        </asp:WebPartZone>
      </td>
      <td valign=top>
        <asp:WebPartZone ID="WebPartZone3" runat="server">
          <ZoneTemplate>
            <asp:Calendar ID="Calendar1" runat="server" 
              SkinID="defaultCalendar"            
              title="カレンダー" />
          </ZoneTemplate>
        </asp:WebPartZone>
      </td>                
    </tr>
  </table>
  <asp:RadioButtonList ID="rablMode" runat="server" AutoPostBack="True">
    <asp:ListItem Value="0">ブラウズモード</asp:ListItem>
    <asp:ListItem Value="1">デザインモード</asp:ListItem>
  </asp:RadioButtonList>        
</asp:Content>

