
Imports System.Drawing

Partial Class ListBoxTip1
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            FillWithColors(Listbox1.Items)
        End If
        For i As Integer = 0 To ListBox1.Items.Count - 1
            Dim strColor As String = "background-color:" & ListBox1.Items(i).Value
            ListBox1.Items(i).Attributes.Add("style", strColor)
        Next
    End Sub

    Sub FillWithColors(ByVal Items As ListItemCollection)
        Dim arrColors As Array = System.Enum.GetValues(GetType(KnownColor))
        Dim kc As KnownColor

        For Each kc In arrColors
            Dim c As Color = Color.FromKnownColor(kc)
            If Not c.IsSystemColor AndAlso c.Name <> "Transparent" Then
                Items.Add(New ListItem(c.Name, c.Name))
            End If
        Next
    End Sub

    Protected Sub btnOK_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOK.Click
        bodyElement.Attributes("bgColor") = ListBox1.Value
    End Sub
End Class
