
Partial Class GridView03StepUp1
    Inherits System.Web.UI.Page

    Protected Sub GridView1_DataBound(ByVal sender As Object, ByVal e As System.EventArgs) Handles GridView1.DataBound
        Dim strSelectedValue As String = CType(ViewState("SelectedValue"), String)

        If IsNothing(strSelectedValue) Then
            Return
        End If

        For Each Row As GridViewRow In GridView1.Rows
            Dim strKeyValue As String = CType(GridView1.DataKeys(Row.RowIndex).Value, String)
            If strKeyValue = strSelectedValue Then
                GridView1.SelectedIndex = Row.RowIndex
            End If
        Next
    End Sub

    Protected Sub GridView1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles GridView1.SelectedIndexChanged
        If GridView1.SelectedIndex <> -1 Then
            ViewState("SelectedValue") = GridView1.SelectedValue
            '   ViewState.Add(key:="SelectedValue", value:=GridView1.SelectedValue)
        End If
    End Sub

    Protected Sub GridView1_PageIndexChanging(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewPageEventArgs) Handles GridView1.PageIndexChanging
        GridView1.SelectedIndex = -1
    End Sub

    Protected Sub GridView1_Sorting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewSortEventArgs) Handles GridView1.Sorting
        GridView1.SelectedIndex = -1
    End Sub

End Class
