<%@ Page Language="VB" AutoEventWireup="false" CodeFile="GridView06.aspx.vb" Inherits="GridView06" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GridView06</title>
</head>
<body>
    <form id="form1" runat="server">
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @original_ProductID"
        InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [CategoryID], [QuantityPerUnit], [UnitPrice]) VALUES (@ProductID, @ProductName, @CategoryID, @QuantityPerUnit, @UnitPrice)"
        SelectCommand="SELECT [ProductID], [ProductName], [CategoryID], [QuantityPerUnit], [UnitPrice] FROM [Products]"
        UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice WHERE [ProductID] = @original_ProductID">
        <DeleteParameters>
          <asp:Parameter Name="original_ProductID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
          <asp:Parameter Name="ProductName" Type="String" />
          <asp:Parameter Name="CategoryID" Type="Int32" />
          <asp:Parameter Name="QuantityPerUnit" Type="String" />
          <asp:Parameter Name="UnitPrice" Type="Decimal" />
          <asp:Parameter Name="original_ProductID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
          <asp:Parameter Name="ProductID" Type="Int32" />
          <asp:Parameter Name="ProductName" Type="String" />
          <asp:Parameter Name="CategoryID" Type="Int32" />
          <asp:Parameter Name="QuantityPerUnit" Type="String" />
          <asp:Parameter Name="UnitPrice" Type="Decimal" />
        </InsertParameters>
      </asp:SqlDataSource>   
  
      <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT [CategoryID], [CategoryName] FROM [Categories]">
      </asp:SqlDataSource>

      <asp:GridView ID="GridView1" runat="server" 
        AllowPaging="True" AutoGenerateColumns="False"
        BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" CellPadding="2"
        DataKeyNames="ProductID" DataSourceID="SqlDataSource1" 
        ForeColor="Black" GridLines="None">
        <FooterStyle BackColor="Tan" />
        <Columns>
          <asp:CommandField ButtonType="Button" ShowEditButton="True" />
          <asp:BoundField DataField="ProductID" HeaderText="ID" ReadOnly="True" SortExpression="ProductID" />
          <asp:BoundField DataField="ProductName" HeaderText="i" SortExpression="ProductName" />
          <asp:TemplateField HeaderText="敪" SortExpression="CategoryID">
            <ItemTemplate>
              <asp:Label ID="Label1" runat="server" Text='<%# Bind("CategoryID") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
              <asp:DropDownList ID="DropDownList1" runat="server" 
                DataSourceID="SqlDataSource2"
                DataTextField="CategoryName" 
                DataValueField="CategoryID"
                SelectedValue='<%# Bind("CategoryID") %>'>
              </asp:DropDownList>
            </EditItemTemplate>
          </asp:TemplateField>
          <asp:BoundField DataField="QuantityPerUnit" HeaderText="P" SortExpression="QuantityPerUnit" />
          <asp:BoundField DataField="UnitPrice" 
            HeaderText="P" 
            SortExpression="UnitPrice" />
        </Columns>
        <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
        <HeaderStyle BackColor="Tan" Font-Bold="True" />
        <AlternatingRowStyle BackColor="PaleGoldenrod" />
      </asp:GridView>
    </form>
</body>
</html>
