<%@ Page Language="VB" AutoEventWireup="false" CodeFile="GridView07.aspx.vb" Inherits="GridView07" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
      <asp:GridView ID="GridView1" runat="server" 
        AllowPaging="True" AutoGenerateColumns="False"
        BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" CellPadding="2"
        DataKeyNames="OrderID" DataSourceID="SqlDataSource1" 
        ForeColor="Black" GridLines="None">
        <FooterStyle BackColor="Tan" />
        <Columns>
          <asp:CommandField ButtonType="Button" ShowEditButton="True" />
          <asp:BoundField DataField="OrderID" HeaderText="ID" ReadOnly="True" SortExpression="OrderID" />
          <asp:BoundField DataField="ShipName" HeaderText="oא" SortExpression="ShipName" />
          <asp:TemplateField HeaderText="oד" SortExpression="ShippedDate">
            <ItemTemplate>
              <asp:Label ID="Label1" runat="server" Text='<%# Bind("ShippedDate", "{0:d}") %>'></asp:Label>
            </ItemTemplate>
            <EditItemTemplate>
              <asp:Calendar ID="Calendar1" runat="server"
                SelectedDate='<%# Bind("ShippedDate") %>'
                VisibleDate='<%# Eval("ShippedDate") %>'>
              </asp:Calendar> 
            </EditItemTemplate>
          </asp:TemplateField>
        </Columns>
        <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
        <HeaderStyle BackColor="Tan" Font-Bold="True" />
        <AlternatingRowStyle BackColor="PaleGoldenrod" />
      </asp:GridView>
      
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        DeleteCommand="DELETE FROM [Orders] WHERE [OrderID] = @original_OrderID" 
        InsertCommand="INSERT INTO [Orders] ([OrderID], [ShipName], [ShippedDate]) VALUES (@OrderID, @ShipName, @ShippedDate)"
        SelectCommand="SELECT [OrderID], [ShipName], [ShippedDate] FROM [Orders]" 
        UpdateCommand="UPDATE [Orders] SET [ShipName] = @ShipName, [ShippedDate] = @ShippedDate WHERE [OrderID] = @original_OrderID">
        <DeleteParameters>
          <asp:Parameter Name="original_OrderID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
          <asp:Parameter Name="ShipName" Type="String" />
          <asp:Parameter Name="ShippedDate" Type="DateTime" />
          <asp:Parameter Name="original_OrderID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
          <asp:Parameter Name="OrderID" Type="Int32" />
          <asp:Parameter Name="ShipName" Type="String" />
          <asp:Parameter Name="ShippedDate" Type="DateTime" />
        </InsertParameters>
      </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
