<%@ Page Language="VB" AutoEventWireup="false" CodeFile="DetailsView03.aspx.vb" Inherits="DetailsView03" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>DetailsView03</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
      <asp:DropDownList ID="DropDownList1" runat="server" 
        AutoPostBack="True" DataSourceID="SqlDataSource1"
        DataTextField="CategoryName" DataValueField="CategoryID">
      </asp:DropDownList>
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT [CategoryID], [CategoryName] FROM [Categories]">
      </asp:SqlDataSource>
      <br />
      <table>
        <tr>
          <td valign="top">
            <asp:GridView ID="GridView1" runat="server" 
              AllowPaging="True" AutoGenerateColumns="False"
              CellPadding="4" DataKeyNames="ProductID" DataSourceID="SqlDataSource2" 
              ForeColor="#333333" GridLines="None">
              <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
              <RowStyle BackColor="#E3EAEB" />
              <Columns>
                <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
                <asp:BoundField DataField="ProductID" HeaderText="ID" ReadOnly="True" SortExpression="ProductID" />
                <asp:BoundField DataField="ProductName" HeaderText="i" SortExpression="ProductName" />
              </Columns>
              <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
              <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
              <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
              <EditRowStyle BackColor="#7C6F57" />
              <AlternatingRowStyle BackColor="White" />
            </asp:GridView>
            <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
              ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
              SelectCommand="SELECT [ProductID], [ProductName] FROM [Products] WHERE ([CategoryID] = @CategoryID)">
              <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" Name="CategoryID" PropertyName="SelectedValue"
                  Type="Int32" />
              </SelectParameters>
            </asp:SqlDataSource>
          </td>
          <td valign="top">
            <asp:DetailsView ID="DetailsView1" runat="server" 
              AutoGenerateRows="False" CellPadding="4"
              DataKeyNames="ProductID" DataSourceID="SqlDataSource3" 
              ForeColor="#333333" GridLines="None"
              Height="50px" Width="100%">
              <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
              <CommandRowStyle BackColor="#C5BBAF" Font-Bold="True" />
              <RowStyle BackColor="#E3EAEB" />
              <FieldHeaderStyle BackColor="#D0D0D0" Font-Bold="True" />
              <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
              <Fields>
                <asp:BoundField DataField="ProductID" HeaderText="ID" ReadOnly="True" SortExpression="ProductID" />
                <asp:BoundField DataField="ProductName" HeaderText="i" SortExpression="ProductName" />
                <asp:BoundField DataField="CategoryID" HeaderText="敪ID" SortExpression="CategoryID" />
                <asp:BoundField DataField="QuantityPerUnit" HeaderText="P" SortExpression="QuantityPerUnit" />
                <asp:BoundField DataField="UnitPrice" DataFormatString="{0:n0}" HtmlEncode="false" HeaderText="P" SortExpression="UnitPrice" />
                <asp:CommandField ButtonType="Button" ShowInsertButton="True" ShowEditButton="True" />
              </Fields>
              <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
              <EditRowStyle BackColor="#7C6F57" />
              <AlternatingRowStyle BackColor="White" />
            </asp:DetailsView>
            <asp:Label ID="lblResult" runat="server" EnableViewState="False"></asp:Label>
            <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
              ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
              DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @original_ProductID"
              InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [CategoryID], [QuantityPerUnit], [UnitPrice]) VALUES (@ProductID, @ProductName, @CategoryID, @QuantityPerUnit, @UnitPrice)"
              SelectCommand="SELECT [ProductID], [ProductName], [CategoryID], [QuantityPerUnit], [UnitPrice] FROM [Products] WHERE ([ProductID] = @ProductID)"
              UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice WHERE [ProductID] = @original_ProductID">
              <DeleteParameters>
                <asp:Parameter Name="original_ProductID" Type="Int32" />
              </DeleteParameters>
              <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="original_ProductID" Type="Int32" />
              </UpdateParameters>
              <InsertParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
              </InsertParameters>
              <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="ProductID" PropertyName="SelectedValue"
                  Type="Int32" />
              </SelectParameters>
            </asp:SqlDataSource>
          </td>
        </tr>
      </table>
    
    </div>
    </form>
</body>
</html>
