<%@ Page Language="VB" AutoEventWireup="false" CodeFile="FormView02.aspx.vb" Inherits="FormView02" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>FormView02</title>
</head>
<body>
    <form id="form1" runat="server">
 
      <asp:FormView ID="FormView1" runat="server" 
        AllowPaging="True" CellPadding="4" DataKeyNames="OrderID"
        DataSourceID="SqlDataSource1" ForeColor="#333333">
        <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
        <RowStyle BackColor="#E3EAEB" />
        <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#7C6F57" />
        <ItemTemplate>
          <table>
            <tr>
              <td align="right">
                <b>ID:</b></td>
              <td>
                <asp:Label ID="OrderIDLabel" runat="server" Text='<%# Eval("OrderID") %>'></asp:Label></td>
            </tr>
            <tr>
              <td align="right">
                <b>oא:</b></td>
              <td>
                <asp:Label ID="ShipNameLabel" runat="server" Text='<%# Eval("ShipName") %>'></asp:Label></td>
            </tr>
            <tr>
              <td align="right">
                <b>󒍓:</b></td>
              <td>
                <asp:Label ID="OrderDateLabel" runat="server" Text='<%# Eval("OrderDate","{0:d}") %>'></asp:Label></td>
            </tr>
            <tr>
              <td align=right valign=top><b>׍s:</b></td>
              <td>     
                <asp:GridView ID="GridView1" runat="server" 
                  AutoGenerateColumns="False" CellPadding="4"
                  DataSourceID="SqlDataSource2" ForeColor="#333333" GridLines="None">
                  <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                  <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                  <Columns>
                    <asp:BoundField DataField="ProductName" HeaderText="i"  />                  
                    <asp:BoundField DataField="UnitPrice" DataFormatString="{0:c0}" HtmlEncode="false" HeaderText="艿" SortExpression="UnitPrice" >
                      <ItemStyle HorizontalAlign="Right" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Quantity" DataFormatString="{0:n0}" HtmlEncode="false" HeaderText="" SortExpression="Quantity" >
                      <ItemStyle HorizontalAlign="Right" />
                    </asp:BoundField>
                  </Columns>
                  <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                  <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                  <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                  <EditRowStyle BackColor="#999999" />
                  <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                </asp:GridView>                    
              </td>
            </tr>            
          </table>
        </ItemTemplate>
      </asp:FormView>
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT [OrderID], [ShipName], [OrderDate] FROM [Orders]">
      </asp:SqlDataSource>

      <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT o.ProductID, p.ProductName, o.UnitPrice, o.Quantity FROM Products As p INNER JOIN OrderDetails As o ON p.ProductID = o.ProductID WHERE (o.OrderID=@OrderID)">                  
        <SelectParameters>
          <asp:Parameter Name="OrderID" Type="Int32" />
        </SelectParameters>
      </asp:SqlDataSource>  
       
    </form>
</body>
</html>
