<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Repeater01.aspx.vb" Inherits="Repeater01" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Repeater01</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
      <asp:DropDownList ID="DropDownList1" runat="server" 
        AutoPostBack="True" DataSourceID="SqlDataSource1"
        DataTextField="CategoryName" DataValueField="CategoryID">
      </asp:DropDownList>
      
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT [CategoryID], [CategoryName] FROM [Categories]">
      </asp:SqlDataSource>
      <br />
      <asp:Repeater ID="Repeater1" runat="server" DataSourceID="SqlDataSource2">
        <ItemTemplate>
          ID: <asp:Label ID="Label1" runat="server" Text='<%# Eval("ProductID") %>'></asp:Label><br />
          i: <asp:Label ID="Label2" runat="server" Text='<%# Eval("ProductName") %>'></asp:Label><br />
          P: <asp:Label ID="Label3" runat="server" Text='<%# Eval("QuantityPerUnit") %>'></asp:Label><br />
          P: <asp:Label ID="Label4" runat="server" Text='<%# Eval("UnitPrice","{0:c0}") %>'></asp:Label><br /> 
          <hr width=200px  align=left />    
        </ItemTemplate>
      </asp:Repeater>
      
      <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        SelectCommand="SELECT [ProductID], [ProductName], [QuantityPerUnit], [UnitPrice] FROM [Products] WHERE ([CategoryID] = @CategoryID)">
        <SelectParameters>
          <asp:ControlParameter ControlID="DropDownList1" DefaultValue="1" Name="CategoryID"
            PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
      </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
