Imports System.Net
Imports System.Xml
Imports System.Data

Partial Class Repeater02
    Inherits System.Web.UI.Page

    Friend rssTitle As String = String.Empty
    Friend rssDescription As String = String.Empty

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim dsRssData As DataSet = RefreshFeed()
        Dim dtHeader As DataTable = dsRssData.Tables(1)
        Dim dtItems As DataTable = dsRssData.Tables(2)
        Dim channelItems As Object() = dtHeader.Rows(0).ItemArray
        Dim titleColumn As Integer = dtHeader.Columns("title").Ordinal
        Dim descriptionColumn As Integer = dtHeader.Columns("description").Ordinal

        rssTitle = channelItems.GetValue(titleColumn).ToString()
        rssDescription = channelItems.GetValue(descriptionColumn).ToString()

        Repeater1.DataSource = dtItems
        Repeater1.DataBind()
    End Sub

    Private Function RefreshFeed() As DataSet
        'Dim webReq As HttpWebRequest = DirectCast(WebRequest.Create("http://www.friendlysw.com/amazonECS/AmazonRssFeedByNode.aspx?node=466282"), HttpWebRequest)
        Dim webReq As HttpWebRequest = DirectCast(WebRequest.Create("http://www.friendlysw.com/amazonECS/AmazonRssFeedByNode.aspx?node=465610"), HttpWebRequest)

        Dim ds As DataSet = New DataSet()
        ds.ReadXml(webReq.GetResponse().GetResponseStream())

        Return ds
    End Function

End Class
