
Partial Class aspnetUtility
    Inherits System.Web.UI.Page

    Protected Sub btnEnableDatabase_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEnableDatabase.Click
        Dim conString As String = ConfigurationManager.ConnectionStrings(txtConnStringName.Text).ConnectionString

        Try
            SqlCacheDependencyAdmin.EnableNotifications(conString)
            lblResult.Text = "f[^x[X̃LbVˑ@\Lɐݒ肳܂."
        Catch ex As Exception
            lblResult.Text = ex.Message.ToString
        End Try
    End Sub

    Protected Sub btnEnableTable_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEnableTable.Click
        Dim conString As String = ConfigurationManager.ConnectionStrings(txtConnStringName.Text).ConnectionString

        Try
            SqlCacheDependencyAdmin.EnableNotifications(conString)
            SqlCacheDependencyAdmin.EnableTableForNotifications(conString, txtTableName.Text)
            lblResult.Text = "e[ũLbVˑ@\Lɐݒ肳܂."
        Catch ex As Exception
            lblResult.Text = ex.Message.ToString
        End Try
    End Sub

    Protected Sub btnListTables_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnListTables.Click
        Dim conString As String = ConfigurationManager.ConnectionStrings(txtConnStringName.Text).ConnectionString
        Dim tablesEnabled() As String

        Try
            tablesEnabled = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(conString)
            If tablesEnabled IsNot Nothing Then
                For Each table As String In tablesEnabled
                    lblResult.Text &= "<li>" & table.ToString
                Next
            End If
        Catch ex As Exception
            lblResult.Text = ex.Message.ToString
        End Try
    End Sub

End Class
