<%@ Page Language="VB" AutoEventWireup="false" CodeFile="editProducts.aspx.vb" Inherits="editProducts" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>editProducts</title>
</head>
<body>
    <form id="form1" runat="server">

      <asp:GridView ID="GridView1" runat="server" 
        AllowPaging="True" AutoGenerateColumns="False"
        DataKeyNames="ProductID" DataSourceID="SqlDataSource1">
        <Columns>
          <asp:CommandField ButtonType="Button" ShowEditButton="True" />
          <asp:BoundField DataField="ProductID" HeaderText="ID" ReadOnly="True" SortExpression="ProductID" />
          <asp:BoundField DataField="ProductName" HeaderText="i" SortExpression="ProductName" />
        </Columns>
      </asp:GridView>
      <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NwindSQLConnectionString %>"
        DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @original_ProductID"
        InsertCommand="INSERT INTO [Products] ([ProductID] VALUES (@ProductID, @ProductName)"
        SelectCommand="SELECT [ProductID], [ProductName] FROM [Products]"
        UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName WHERE [ProductID] = @original_ProductID">
        <DeleteParameters>
          <asp:Parameter Name="original_ProductID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
          <asp:Parameter Name="ProductName" Type="String" />
          <asp:Parameter Name="QuantityPerUnit" Type="String" />
        </UpdateParameters>
        <InsertParameters>
          <asp:Parameter Name="ProductID" Type="Int32" />
          <asp:Parameter Name="ProductName" Type="String" />
        </InsertParameters>
      </asp:SqlDataSource>

    </form>
</body>
</html>
