﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="DetailsViewAccess01.aspx.vb" Inherits="ch2_2_DetailsViewAccess01" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>DetailsViewAccess01</title>
</head>
<body>
    <form id="form1" runat="server">
      <table>
        <tr>
          <td valign=top>
            <asp:GridView ID="GridView1" runat="server" 
              AllowPaging="True" AllowSorting="True" 
              AutoGenerateColumns="False" 
              DataKeyNames="CustomerID" 
              DataSourceID="AccessDataSource1">
                <Columns>
                  <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
                  <asp:BoundField DataField="CustomerID" HeaderText="ID" InsertVisible="False" ReadOnly="True"
                    SortExpression="CustomerID" />
                  <asp:BoundField DataField="CompanyName" HeaderText="得意先" SortExpression="CompanyName" />
                </Columns>
              </asp:GridView>
              <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
                DataFile="~/App_Data/Nwind.mdb"
                SelectCommand="SELECT [CustomerID], [CompanyName] FROM [Customers]">
              </asp:AccessDataSource>           
          </td>
          <td valign=top>
            <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" DataKeyNames="CustomerID" DataSourceID="AccessDataSource2">
              <Fields>
                <asp:BoundField DataField="CustomerID" HeaderText="ID" InsertVisible="False"
                  ReadOnly="True" SortExpression="CustomerID" />
                <asp:BoundField DataField="CompanyName" HeaderText="得意先" SortExpression="CompanyName" />
                <asp:BoundField DataField="ContactName" HeaderText="担当" SortExpression="ContactName" />
                <asp:BoundField DataField="ContactTitle" HeaderText="部署" SortExpression="ContactTitle" />
                <asp:BoundField DataField="Phone" HeaderText="電話" SortExpression="Phone" />
                <asp:CommandField ButtonType="Button" ShowDeleteButton="True" ShowEditButton="True"
                  ShowInsertButton="True" />
              </Fields>
            </asp:DetailsView>          
            <asp:AccessDataSource ID="AccessDataSource2" runat="server" 
              DataFile="~/App_Data/Nwind.mdb"
              DeleteCommand="DELETE FROM [Customers] WHERE [CustomerID] = ?" 
              InsertCommand="INSERT INTO [Customers] ([CustomerID], [CompanyName], [ContactName], [ContactTitle], [Phone]) VALUES (?, ?, ?, ?, ?)"
              SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle], [Phone] FROM [Customers] WHERE ([CustomerID] = ?)"
              UpdateCommand="UPDATE [Customers] SET [CompanyName] = ?, [ContactName] = ?, [ContactTitle] = ?, [Phone] = ? WHERE [CustomerID] = ?">
              <DeleteParameters>
                <asp:Parameter Name="CustomerID" Type="Int32" />
              </DeleteParameters>
              <UpdateParameters>
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="ContactTitle" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="CustomerID" Type="Int32" />
              </UpdateParameters>
              <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="CustomerID" PropertyName="SelectedValue"
                  Type="Int32" />
              </SelectParameters>
              <InsertParameters>
                <asp:Parameter Name="CustomerID" Type="Int32" />
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="ContactTitle" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
              </InsertParameters>
            </asp:AccessDataSource>
          </td>
        </tr>
      </table>

    </form>
</body>
</html>
