﻿
Partial Class ch2_4_RemoveUserFromRole
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            BindDropDownList()
        End If
    End Sub

    Protected Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles DropDownList1.SelectedIndexChanged
        Dim strRole As String = DropDownList1.SelectedValue
        If Not String.IsNullOrEmpty(strRole) Then
            BindListBox(strRole)
        End If
    End Sub

    Protected Sub btlRemoveUserFromRole_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btlRemoveUserFromRole.Click
        Dim strRole As String = DropDownList1.SelectedValue
        Dim strUser As String = ListBox1.SelectedValue
        Roles.RemoveUserFromRole(strUser, strRole)
        BindListBox(strRole)
    End Sub

    Protected Sub BindDropDownList()
        DropDownList1.DataSource = Roles.GetAllRoles
        DropDownList1.DataBind()
    End Sub

    Protected Sub BindListBox(ByVal strRole As String)
        ListBox1.DataSource = Roles.GetUsersInRole(strRole)
        ListBox1.DataBind()
        ListBox1.Visible = True
    End Sub

End Class
