﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="BooksByCategory.aspx.vb" Inherits="BooksByCategory" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderBody" Runat="Server">
  <h1>ジャンル別検索</h1>
  <asp:Label ID="lblCategory" runat="server" EnableViewState=false></asp:Label>
  <br />
  <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
    SelectMethod="SearchBooksByKeyword" 
    TypeName="AmazonServices.AmazonJP">
    <SelectParameters>
      <asp:QueryStringParameter Name="Keywords" 
        QueryStringField="cat" Type="String" />
    </SelectParameters>
  </asp:ObjectDataSource>  
  <asp:GridView ID="GridView1" runat="server"  
    DataSourceID="ObjectDataSource1"
    AutoGenerateColumns="False" 
    DataKeyNames="ASIN">
    <Columns>
      <asp:BoundField DataField="AutoID" HeaderText="ID" >
        <ItemStyle VerticalAlign="Top" />
      </asp:BoundField>
      <asp:ImageField DataImageUrlField="MediumImage" HeaderText="表紙">
      </asp:ImageField>
      <asp:TemplateField HeaderText="タイトル">
        <ItemTemplate>
          <asp:HyperLink ID="HyperLink1" runat="server" 
            NavigateUrl='<%# Eval("AmazonURL") %>'><%#Eval("Title")%></asp:HyperLink><br />
          <asp:Label ID="Label1" runat="server" Text='<%# Eval("ListPrice","{0:c0}") %>'></asp:Label><br />
          <asp:Label ID="Label2" runat="server" Text='<%# Eval("Author") %>'></asp:Label><br />
          <asp:Label ID="Label3" runat="server" Text='<%# Eval("PublicationDate") %>'></asp:Label><br />
          <asp:Label ID="Label4" runat="server" Text='<%# Eval("Publisher") %>'></asp:Label> 
        </ItemTemplate>
        <ItemStyle VerticalAlign="Top" />
      </asp:TemplateField>
      <asp:ButtonField ButtonType="Button" Text="かごに入れる" CommandName="Cart" >
        <ItemStyle VerticalAlign="Top" />
      </asp:ButtonField>
    </Columns>
  </asp:GridView>   
</asp:Content>

