﻿Imports System.Data

Partial Class BooksByCategory
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim strCategory As String = Request.QueryString("cat")
        lblCategory.Text = String.Format("〔{0}〕", strCategory)
    End Sub

    Protected Sub GridView1_RowCommand(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles GridView1.RowCommand
        If e.CommandName = "Cart" Then
            Dim index As Integer = Int32.Parse(e.CommandArgument)
            Dim strISBN As String = GridView1.DataKeys(index).Value.ToString()
            Dim dv As DataView = AmazonServices.AmazonJP.SearchBookByISBN(strISBN)
            Dim drv As DataRowView = dv(0)
            Dim dt As DataTable = Nothing

            If Session("ShoppingCart") Is Nothing Then
                dt = MyShoppingCart.CreateCart(1)
            Else
                dt = CType(Session("ShoppingCart"), DataTable)
            End If
            Dim dr As DataRow = dt.NewRow()
            dr("ISBN") = drv("ASIN").ToString
            dr("Title") = drv("Title").ToString
            dr("Author") = drv("Author").ToString
            dr("Quantity") = 1
            Dim strPrice As String = drv("ListPrice").ToString.Substring(2)
            dr("Price") = Convert.ToDecimal(strPrice.Replace(",", ""))
            dr("Amount") = Convert.ToDecimal(strPrice.Replace(",", ""))
            dt.Rows.Add(dr)
            Session("ShoppingCart") = dt
            Response.Redirect("ShoppingCart.aspx")
        End If
    End Sub

End Class
