﻿Imports System.Data

Partial Class SearchBooks
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            SetFocus(txtKeyword)
        End If
    End Sub

    Protected Sub btnSearch_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        Dim strTitle As String = Nothing
        Dim strKeyword As String = Nothing
        Dim strAuthor As String = Nothing

        If txtTitle.Text.Length > 0 Then
            strTitle = txtTitle.Text
        End If
        If txtKeyword.Text.Length > 0 Then
            strKeyword = txtKeyword.Text
        End If
        If txtAuthor.Text.Length > 0 Then
            strAuthor = txtAuthor.Text
        End If

        GridView1.DataSource = AmazonServices.AmazonJP.SearchBooks(strAuthor, strTitle, strKeyword, Nothing)
        GridView1.DataBind()
    End Sub

    Protected Sub GridView1_RowCommand(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCommandEventArgs) Handles GridView1.RowCommand
        If e.CommandName = "Cart" Then
            Dim index As Integer = Int32.Parse(e.CommandArgument)
            Dim strISBN As String = GridView1.DataKeys(index).Value.ToString()
            Dim dv As DataView = AmazonServices.AmazonJP.SearchBookByISBN(strISBN)
            Dim drv As DataRowView = dv(0)
            Dim dt As DataTable = Nothing

            If Session("ShoppingCart") Is Nothing Then
                dt = MyShoppingCart.CreateCart(1)
            Else
                dt = CType(Session("ShoppingCart"), DataTable)
            End If
            Dim dr As DataRow = dt.NewRow()
            dr("ISBN") = drv("ASIN").ToString
            dr("Title") = drv("Title").ToString
            dr("Author") = drv("Author").ToString
            dr("Quantity") = 1
            Dim strPrice As String = drv("ListPrice").ToString.Substring(2)
            dr("Price") = Convert.ToDecimal(strPrice.Replace(",", ""))
            dr("Amount") = Convert.ToDecimal(strPrice.Replace(",", ""))
            dt.Rows.Add(dr)
            Session("ShoppingCart") = dt
            Response.Redirect("ShoppingCart.aspx")
        End If
    End Sub

End Class
