﻿Imports System.Data

Partial Class ShoppingCart
    Inherits System.Web.UI.Page

    Private mdtShoppingCart As DataTable = Nothing
    Private mdecSubTotal As Decimal
    Private mdecFreight As Decimal
    Private mdecTotal As Decimal

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        mdtShoppingCart = CType(Session("ShoppingCart"), DataTable)
        If Not IsPostBack Then
            BindRepeater()
        End If
    End Sub

    Sub BindRepeater()
        Repeater1.DataSource = mdtShoppingCart
        Repeater1.DataBind()
    End Sub

    Protected Sub Repeater1_ItemCommand(ByVal source As Object, ByVal e As System.Web.UI.WebControls.RepeaterCommandEventArgs) Handles Repeater1.ItemCommand
        Dim dr As DataRow
        Dim txtQuantity As TextBox
        Dim intQuantity As Integer
        Dim i As Integer

        If e.CommandName = "Delete" Then
            dr = mdtShoppingCart.Rows(e.Item.ItemIndex)
            dr.Delete()
        ElseIf e.CommandName = "Update" Then
            For i = 0 To Repeater1.Items.Count - 1
                txtQuantity = CType(Repeater1.Items(i).FindControl("txtQuantity"), TextBox)
                intQuantity = Int32.Parse(txtQuantity.Text)
                dr = mdtShoppingCart.Rows(i)
                dr("Quantity") = intQuantity
                dr("Amount") = dr("Quantity") * dr("Price")
            Next
        End If
        BindRepeater()
    End Sub

    Public Function CalcSubTotal() As Decimal
        Try
            mdecSubTotal = mdtShoppingCart.Compute("SUM(Amount)", "Amount>0")
        Catch
            mdecSubTotal = 0
        End Try
        Return mdecSubTotal
    End Function

    Public Function CalcFreight() As Decimal
        mdecFreight = 0
        Return mdecFreight
    End Function

    Public Function CalcTotal() As Decimal
        Return mdecSubTotal + mdecFreight
    End Function

End Class
