﻿
Partial Class _Default
    Inherits PageBase   ' System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If String.IsNullOrEmpty(Profile.WelcomeName) Then
            If Membership.GetUser IsNot Nothing Then
                Panel1.Visible = False
                Dim strUserName As String = Membership.GetUser.UserName
                Profile.WelcomeName = strUserName
                lblMessage.Text = String.Format( _
                    "{0} さん、ようこそジャングルブックへ！", strUserName)
            Else
                SetFocus(txtWelcomeName)
                Panel1.Visible = True
            End If
        Else
            Panel1.Visible = False
            lblMessage.Text = String.Format( _
                "{0} さん、ようこそジャングルブックへ！", Profile.WelcomeName)
        End If
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Profile.WelcomeName = txtWelcomeName.Text
        lblMessage.Text = String.Format( _
            "{0} さん、ご登録ありがとうございます！", txtWelcomeName.Text)
        Panel1.Visible = False
    End Sub

    Protected Sub rablMode_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rablMode.SelectedIndexChanged
        Select Case rablMode.SelectedIndex
            Case 0 : WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode
            Case 1 : WebPartManager1.DisplayMode = WebPartManager.DesignDisplayMode
        End Select
    End Sub

    Protected Sub Theme_Command(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.CommandEventArgs)
        Profile.WelcomeTheme = e.CommandArgument    ' Classic or Professional
        Response.Redirect(Request.FilePath, False)
    End Sub

End Class
