﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="SearchBooks.aspx.vb" Inherits="SearchBooks" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderBody" Runat="Server">
  <h1>書籍検索</h1>
  <fieldset>
    <table>
    <tr>
      <td>タイトル</td>
      <td>
        <asp:TextBox ID="txtTitle" runat="server"></asp:TextBox>
      </td>
      <td rowspan="3">
        <asp:Button ID="btnSearch" runat="server" Text="検索" />
      </td>    
    </tr>
    <tr>
      <td>キーワード</td>
      <td>
        <asp:TextBox ID="txtKeyword" runat="server"></asp:TextBox>
        
      </td>
    </tr>
    <tr>
      <td>著者名</td>
      <td>
        <asp:TextBox ID="txtAuthor" runat="server"></asp:TextBox>  
      </td>
    </tr>
    </table>
  </fieldset>
  <br />
  <asp:GridView ID="GridView1" runat="server" 
    SkinID="searchBooksGridView"   
    AutoGenerateColumns="False" DataKeyNames="ASIN">
    <Columns>
      <asp:BoundField DataField="AutoID" HeaderText="ID" >
        <ItemStyle VerticalAlign="Top" />
      </asp:BoundField>
      <asp:ImageField DataImageUrlField="MediumImage" HeaderText="表紙">
      </asp:ImageField>
      <asp:TemplateField HeaderText="タイトル">
        <ItemTemplate>
          <asp:HyperLink ID="HyperLink1" runat="server" 
            NavigateUrl='<%# Eval("AmazonURL") %>'><%#Eval("Title")%></asp:HyperLink><br />
          <asp:Label ID="Label1" runat="server" Text='<%# Eval("ListPrice","{0:c0}") %>'></asp:Label><br />
          <asp:Label ID="Label2" runat="server" Text='<%# Eval("Author") %>'></asp:Label><br />
          <asp:Label ID="Label3" runat="server" Text='<%# Eval("PublicationDate") %>'></asp:Label><br />
          <asp:Label ID="Label4" runat="server" Text='<%# Eval("Publisher") %>'></asp:Label> 
        </ItemTemplate>
        <ItemStyle VerticalAlign="Top" />
      </asp:TemplateField>
      <asp:ButtonField ButtonType="Button" Text="かごに入れる" CommandName="Cart" >
        <ItemStyle VerticalAlign="Top" />
      </asp:ButtonField>
    </Columns>
  </asp:GridView>      
</asp:Content>

