﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="ShoppingCart.aspx.vb" Inherits="ShoppingCart" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderBody" Runat="Server">
  <h1>買い物かご</h1>
  <asp:Repeater id="Repeater1" runat="server" >
      <HeaderTemplate>
        <table class="shoppingCartHeaderTemplate"              
          cellspacing="0" cellpadding="3" rules="all" border="1" width="100%" >
          <tr class="shoppingCartHeader">
              <th>タイトル</th>
              <th>単価</th>
              <th>数量</th>
              <th>金額</th>
              <th>削除</th>
          </tr>
      </HeaderTemplate>
      <ItemTemplate>
          <tr class="shoppingCartItemTempalte">
              <td align="left">
                  <%# Eval("Title") %> 
              </td>
              <td align="right">
                  <%# Eval("Price", "{0:c0}") %> 
              </td>
              <td align="center">
                  <asp:TextBox id="txtQuantity" runat="server" 
                    Style="text-align:right" Width="4em" 
                    Text='<%# Eval("Quantity", "{0:n0}") %>' />
              </td>
              <td align="right">
                  <%# Eval("Amount", "{0:c0}") %> 
              </td>
              <td align="center">
                  <asp:Button id="btnDelete" runat="server" 
                      OnClientClick="confirm('削除してよろしいですか？');"
                      CommandName="Delete" Text="削除">
                  </asp:Button>
              </td>
          </tr>
      </ItemTemplate>
      <FooterTemplate>
          <tr class="shoppingCartFooterTempalte">
              <td colspan="2" align="right">
                  <asp:Button id="btnUpdate" runat="server" 
                    CommandName="Update" Text="更新">
                  </asp:Button>
              </td>
              <td class="shoppingCartFooterTemplateTotal">
                  小計
              </td>
              <td class="shoppingCartFooterTemplateTotalAmount">
                  <%# String.Format("{0:c0}", CalcSubTotal())  %> 
              </td>
              <td></td>
          </tr>
          <tr class="shoppingCartFooterTempalte">
              <td colspan="2"></td>
              <td class="shoppingCartFooterTemplateTotal">
                  送料
              </td>
              <td class="shoppingCartFooterTemplateTotalAmount">
                  <%# String.Format("{0:c0}", CalcFreight()) %> 
              </td>
              <td></td>
          </tr>
          <tr class="shoppingCartFooterTempalte">
              <td colspan="2"></td>
              <td class="shoppingCartFooterTemplateTotal">
                  合計
              </td>
              <td class="shoppingCartFooterTemplateTotalAmount">
                  <%# String.Format("{0:c0}", CalcTotal()) %> 
              </td>
              <td></td>
          </tr>
        </table>
      </FooterTemplate>
  </asp:Repeater>
  <br />
  <asp:Button ID="btnOrder" runat="server" Text="注文"
    PostBackUrl="~/Members/CheckOut.aspx" />    
</asp:Content>

